//-----------------------------------------------------------------
// Errors.h - Created Fred Foscalina
// Error macros
//-----------------------------------------------------------------
//
//$Modtime: 1/30/15 4:23p $
//$Revision: 5 $
//$Author: Fredf $ 

// spindle errors
#define ERR_SPINDLE_FAULT		65 

// Homing errors
#define ERR_XAXIS_HOMING_FAIL	75
#define ERR_YAXIS_HOMING_FAIL	76
#define ERR_ZAXIS_HOMING_FAIL	77
#define ERR_4AXIS_HOMING_FAIL	78

#define ERR_4AXIS_UNCLAMP_FAIL	79

// ATC errors
#define ERR_TC_FAILED			83
#define ERR_NOT_ORIENTED 		84
#define ERR_Z_AXIS_BELOW		85
#define ERR_TOOL_UNCLAMPED		86
#define ERR_TOOL_CLAMPED		87
#define ERR_TC_HOMING			88
#define ERR_CAROUSEL_POSITION	89
#define ERR_ROTATE_CAROUSEL		90
#define ERR_TC_GO_FRONT_FAILED	91	// unable to go front
#define ERR_TC_GO_BACK_FAILED	92	// unable to go back
#define ERR_TC_Z_UNCLAMP_POS	93
#define ERR_TC_Z_TOOLCHANGE_POS 94
#define ERR_Z_AXIS_ABOVE		95
#define ERR_TC_MISALIGNED		96
#define ERR_TOOL_IN_ATC			97
#define ERR_SPINDLE_IN_MOTION	98
#define ERR_AIR_PRESSURE		99
#define ERR_ATC_ABORTED			100
#define ERR_ATC_MISALIGN_START	102
#define ERR_ATC_MISALIGN_STOP	101
#define ERR_ATC_FALSE_TRIGGER	103
#define ERR_ATC_DOOR_OPENED		104

#define ERR_TIMED_OUT			110

// other errors
#define ERR_RTI_REENTRY			140
#define ERR_MVAR_OVERFLOW		141

#define ERR_SPINDLE_FWD_KEY_FAILED		143
#define ERR_SPINDLE_REV_KEY_FAILED		144
#define ERR_SPINDLE_OFF_KEY_FAILED		145
#define ERR_GO_KEY_FAILED				146
#define ERR_STOP_KEY_FAILED				147

#define ERR_XAXIS_HOME_SWITCH_FAILED	148
#define ERR_YAXIS_HOME_SWITCH_FAILED	149
#define ERR_ZAXIS_HOME_SWITCH_FAILED	150

#define ERR_TOOL_UNCLAMP_KEY_FAILED		152
